/*
 * HttpJspPage.java -- XXX
 * 
 * Copyright (c) 1999 by Free Software Foundation, Inc.
 * Written by Mark Wielaard (mark@klomp.org)
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Library General Public License as published
 * by the Free Software Foundation, version 2. (see COPYING.LIB)
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation  
 * Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307 USA
 */

package javax.servlet.jsp;

import java.io.IOException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.ServletException;

/**
 * Every jsp page that is served to the client using the http protocol must implement this interface.
 * The method _jspService is called on every request.
 */
public interface HttpJspPage extends JspPage {

	/**
	 * This method is called on every request.
	 *
	 * @param request contains the request information
	 * @param response the reponse information
	 * @exception ServletException XXX
	 * @exception IOException XXX
	 */
	void _jspService(HttpServletRequest request,
				HttpServletResponse response)
					throws IOException, ServletException;
}
