/*
 * TagAttributeInfo.java
 * 
 * Copyright (c) 1999 by Free Software Foundation, Inc.
 * Written by Wes Biggs (wes@cacas.org)
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Library General Public License as published
 * by the Free Software Foundation, version 2. (see COPYING.LIB)
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation  
 * Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307 USA
 */

package javax.servlet.jsp.tagext;

/**
 * Represents information about an attribute of a tag loaded from a 
 * tag library descriptor (TLD) file.
 */
public class TagAttributeInfo {
    public static final String ID = "id";

    public static TagAttributeInfo getIdAttribute(TagAttributeInfo[] a) {
	for (int i = 0; i < a.length; i++) {
	    if (ID.equals(a[i].getName())) return a[i];
	}
	return null;
    }

    private String name;
    private String type;
    private boolean reqTime;

    TagAttributeInfo(String name, String type, boolean reqTime) {
	this.name = name;
	this.type = type;
	this.reqTime = reqTime;
    }

    public String getName() {
	return name;
    }

    public String getTypeName() {
	return type;
    }

    public boolean canBeRequestTime() {
	return reqTime;
    }
}
